#include "rrclientOptionsView.h"
#include <Button.h>
#include <TextControl.h>
#include <stdio.h>
#include <Alert.h>
#include "PassControl.h"

rrclientOptionsView::rrclientOptionsView(BRect AFrame): BView(AFrame,NULL, B_FOLLOW_ALL_SIDES, B_WILL_DRAW)
{
	char User[65], Pass[65], Server[65];
  	FILE *f;
  	int success = 0;
 	f=fopen("/boot/beos/etc/rrlms.conf","r");
   
 	if (f != NULL)
 	{
 		success = 1;
 		fscanf(f,"%64s %64s %64s",Server, User, Pass);
 		fclose(f);
 	}
 	 
 	 
	SetViewColor(216, 216, 216, 255);
	
	BRect aRect;
	aRect.Set(180, 120, 245, 140 );
	saveButton = new BButton(aRect, "Save", "Save",new BMessage(SAVE_OPTIONS_MSG));
	saveButton->MakeDefault( 1 );
	AddChild(saveButton);
	
	aRect.Set(110, 120, 175, 140 );
	cancelButton = new BButton(aRect, "Cancel", "Cancel",new BMessage(CANCEL_OPTIONS_MSG));
	AddChild(cancelButton);
	
	aRect.Set(10, 20, 240, 40);
	servername = new BTextControl(aRect, "servername", "Server:", "", NULL,
								 B_FOLLOW_LEFT | B_FOLLOW_TOP,  B_WILL_DRAW | B_NAVIGABLE);
	servername->SetDivider(55);
	if ( success )
	    servername->SetText(Server);
	
	AddChild(servername);
	
	aRect.top = aRect.bottom + 5;
	aRect.bottom = aRect.top + 20;
	
	username = new BTextControl(aRect, "username", "Username:", "", NULL,
								 B_FOLLOW_LEFT | B_FOLLOW_TOP,  B_WILL_DRAW | B_NAVIGABLE);

	username->SetDivider(55);
	if ( success )
		username->SetText(User);
		
	AddChild(username);
	
	aRect.top = aRect.bottom + 5;
	aRect.bottom = aRect.top + 20;
	password = new PassControl(aRect, "password", "Password:", "", NULL);
								
	password->SetDivider(55);
//	if ( success )
//		password->SetText(Pass);

	AddChild(password);
}

void
rrclientOptionsView::Save()
{
	FILE *f = fopen("/boot/beos/etc/rrlms.conf","w");
   
 	if (f != NULL)
 	{
		fputs(servername->Text(), f);
		fputs( " ", f);
		fputs(username->Text(), f);
		fputs( " ", f);
		fputs(password->actualText(), f);
		fclose(f);
 		(new BAlert("SaveMsg", "Your settings have been updated in\n/boot/beos/etc/rrlms.conf","OK"))->Go();
 	}
	
}